signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Macros
credentialsdb_p.h File Reference
`#include <QObject>`
`#include <QtSql>`
`#include "SignOn/abstract-secrets-storage.h"`
`#include "signonidentityinfo.h"`
Include dependency graph for credentialsdb_p.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | SignonDaemonNS::SecretsCache
| Caches credentials or BLOB authentication data. More...
class | SignonDaemonNS::SecretsCache::AuthCache
class | SignonDaemonNS::SqlDatabase
| Will be used manage the SQL database interaction. More...
class | SignonDaemonNS::MetaDataDB

## Namespaces
| SignonDaemonNS

## Macros
#define | SSO_METADATADB_VERSION 2
#define | SSO_SECRETSDB_VERSION 1

## Macro Definition Documentation

#define SSO_METADATADB_VERSION 2

Definition at line 34 of file credentialsdb_p.h.

#define SSO_SECRETSDB_VERSION 1

Definition at line 35 of file credentialsdb_p.h.